:root {
  --theme-toggle-width: 46px;
  --theme-toggle-height: 46px;
  --theme-toggle-top: 30px;
}

.theme-toggle {
  position: fixed;
  width: var(--theme-toggle-width);
  height: var(--theme-toggle-height);
  border: none;
  background: var(--toggle-bg);
  color: var(--toggle-icon);
  display: inline-flex;
  align-items: center;
  justify-content: center;
  cursor: pointer;
  z-index: 3;
}

.theme-toggle:hover {
  transform: translateY(-2px) scale(1.03);
}

.theme-toggle:active {
  transform: translateY(0) scale(0.98);
}

.theme-toggle .icon {
  position: absolute;
  width: 70%;
  height: 70%;
  line-height: 1;
  display: inline-flex;
  align-items: center;
  justify-content: center;
  padding: 3px;
}

.theme-toggle .icon svg {
  width: 100% !important;
  height: 100% !important;
  display: block;
}

@media (max-width: 450px) {
  :root {
    --theme-toggle-width: 40px;
    --theme-toggle-height: 40px;
  }
}